#include <stdio.h>
#include <string.h>

int i;
int pass2;
int loc;
int output = 0;
int parthenon = 0;
int table_output = 0;
char imemoryportname[32]="icell";
char dmemoryportname[32]="dcell";
extern FILE *yyin;
int main(int argc,char *argv[])
{
  yyin = fopen(argv[argc-1],"rt");
  if (yyin == NULL) { /* K.Nagami added: file open error handling */
      fprintf(stderr, "cannot open file `%s'\n", argv[argc-1]);
      exit(-1);
  }
  for(i = 1; i<argc-1 ; i++){
    if(!strncmp(argv[i],"-bin",4)) output = 1;
    if(!strncmp(argv[i],"-hex",4)) output = 0;
    if(!strncmp(argv[i],"-table",2)) table_output = 1;
    if(!strncmp(argv[i],"-par",4)) parthenon = 1;
    if(!strncmp(argv[i],"-imem",5))
      if(i+1 != argc-1 || strncmp(argv[i],"-",1))
	strcpy(imemoryportname,argv[i+1]);
    if(!strncmp(argv[i],"-dmem",4))
      if(i+1 != argc-1 || strncmp(argv[i],"-",1))
	strcpy(dmemoryportname,argv[i+1]);
  }

  pass2 = 0;
  loc = 0;
  yyparse();
  fclose(yyin);
  yyin = fopen(argv[argc-1],"rt");
  pass2 = 1;
  loc = 0;
  yyrestart(yyin);
  yyparse();
  if(table_output) label_address_table_output();
  fclose(yyin);
  return 0;
}
